
From: Geert Uytterhoeven <geert@linux-m68k.org>

The recent change which made esp_bootup_reset() static broke the Amiga
Oktagon SCSI driver.

- Make esp_bootup_reset() global again, since the Amiga Oktagon SCSI
  driver needs it, and move its prototype from oktagon_esp.c to NCR53C9x.h

- Make esp_cmd() static in the debug case.  It's already a local macro in
  the non-debug case.

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/NCR53C9x.c    |    4 ++--
 25-akpm/drivers/scsi/NCR53C9x.h    |    2 +-
 25-akpm/drivers/scsi/oktagon_esp.c |    2 --
 3 files changed, 3 insertions(+), 5 deletions(-)

diff -puN drivers/scsi/NCR53C9x.c~scsi-ncr53c9x-fixes drivers/scsi/NCR53C9x.c
--- 25/drivers/scsi/NCR53C9x.c~scsi-ncr53c9x-fixes	Tue Jan 18 14:55:56 2005
+++ 25-akpm/drivers/scsi/NCR53C9x.c	Tue Jan 18 14:55:56 2005
@@ -290,7 +290,7 @@ static inline void esp_advance_phase(Scs
 #endif
 
 #ifdef DEBUG_ESP_CMDS
-inline void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs,
+static inline void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs,
 			   unchar cmd)
 {
 	esp->espcmdlog[esp->espcmdent] = cmd;
@@ -505,7 +505,7 @@ static void esp_reset_esp(struct NCR_ESP
 }
 
 /* This places the ESP into a known state at boot time. */
-static void esp_bootup_reset(struct NCR_ESP *esp, struct ESP_regs *eregs)
+void esp_bootup_reset(struct NCR_ESP *esp, struct ESP_regs *eregs)
 {
 	volatile unchar trash;
 
diff -puN drivers/scsi/NCR53C9x.h~scsi-ncr53c9x-fixes drivers/scsi/NCR53C9x.h
--- 25/drivers/scsi/NCR53C9x.h~scsi-ncr53c9x-fixes	Tue Jan 18 14:55:56 2005
+++ 25-akpm/drivers/scsi/NCR53C9x.h	Tue Jan 18 14:55:56 2005
@@ -652,7 +652,7 @@ extern int nesps, esps_in_use, esps_runn
 
 
 /* External functions */
-extern void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs, unchar cmd);
+extern void esp_bootup_reset(struct NCR_ESP *esp, struct ESP_regs *eregs);
 extern struct NCR_ESP *esp_allocate(Scsi_Host_Template *, void *);
 extern void esp_deallocate(struct NCR_ESP *);
 extern void esp_release(void);
diff -puN drivers/scsi/oktagon_esp.c~scsi-ncr53c9x-fixes drivers/scsi/oktagon_esp.c
--- 25/drivers/scsi/oktagon_esp.c~scsi-ncr53c9x-fixes	Tue Jan 18 14:55:56 2005
+++ 25-akpm/drivers/scsi/oktagon_esp.c	Tue Jan 18 14:55:56 2005
@@ -72,8 +72,6 @@ static void dma_mmu_release_scsi_sgl(str
 static void dma_advance_sg(Scsi_Cmnd *);
 static int  oktagon_notify_reboot(struct notifier_block *this, unsigned long code, void *x);
 
-void esp_bootup_reset(struct NCR_ESP *esp,struct ESP_regs *eregs);
-
 #ifdef USE_BOTTOM_HALF
 static void dma_commit(void *opaque);
 
_
